package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.Consumption;
import com.lightinit.hsdatashow.entity.ConsumptionExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ConsumptionMapper {
    long countByExample(ConsumptionExample example);

    int deleteByExample(ConsumptionExample example);

    int deleteByPrimaryKey(Long id);

    int insert(Consumption record);

    int insertSelective(Consumption record);

    List<Consumption> selectByExample(ConsumptionExample example);

    Consumption selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") Consumption record, @Param("example") ConsumptionExample example);

    int updateByExample(@Param("record") Consumption record, @Param("example") ConsumptionExample example);

    int updateByPrimaryKeySelective(Consumption record);

    int updateByPrimaryKey(Consumption record);

    List<Consumption> getConsumption();
}